%define major	9
%define	libname	%mklibname mtp %{major}
%define develname %mklibname -d mtp

Name:		libmtp
Summary:	Implementation of Microsoft's Media Transfer Protocol
Version:	1.1.12
Release:	%mkrel 1
Group:		System/Libraries
License:	LGPLv2+
URL:		http://libmtp.sourceforge.net/
Source0:	http://downloads.sourceforge.net/project/libmtp/libmtp/%{version}/%{name}-%{version}.tar.gz
BuildRequires:	pkgconfig(libusb)
BuildRequires:	libgcrypt-devel
BuildRequires:	doxygen

%description
libmtp is an implementation of Microsoft's Media Transfer Protocol (MTP)
in the form of a library suitable primarily for POSIX compliant
operating systems. We implement MTP Basic, the stuff proposed for
standardization. MTP Enhanced is for Windows only, if we implement
it, well that depends...

It was initially based on (forked from) the great libptp2 library
by Mariusz Woloszyn but has since been moved over to follow Marcus
Meissners and Hubert Figuere's libgphoto2 fork of libptp2 (or is libptp2
 a fork of libgphoto?). The core implementation is identical to
libgphoto2, there is just a different API adapted to portable media
players.

%package -n	%{libname}
Summary:	Main library for %{name}
Group:		System/Libraries
Obsoletes:	%mklibname mtp 5
Obsoletes:	%mklibname mtp 0
Obsoletes:	%mklibname mtp 6
Requires:	%{name}-utils >= %{version}-%{release}

%description -n	%{libname}
This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n	%{develname}
Summary:	Headers for developing programs that will use %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%mklibname -d mtp 5
Obsoletes:	%mklibname -d mtp 0

%description -n	%{develname}
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%package doc
Summary: Libmtp documentation
Group: Documentation

%description doc
This package contains documentation of libmtp.

%package utils
Summary: Tools provided by libmtp
Group: System/Libraries
Requires: %{libname} = %{version}-%{release}
Provides: mtp-utils = %{version}-%{release}

%description utils
This package contains various tools provided by libmtp.

%prep
%setup -q

%build
%configure2_5x \
	--disable-static \
	--enable-doxygen \
	--with-udev-rules=60-libmtp.rules
%make

%install
%makeinstall_std

#-- FEDORA COPY
mkdir -p %{buildroot}%{_datadir}/hal/fdi/information/10freedesktop
install -p -m 644 libmtp.fdi %{buildroot}%{_datadir}/hal/fdi/information/10freedesktop/10-usb-music-players-libmtp.fdi
#-- FEDORA COPY
# Replace links with relative links
rm -f %{buildroot}%{_bindir}/mtp-delfile
rm -f %{buildroot}%{_bindir}/mtp-getfile
rm -f %{buildroot}%{_bindir}/mtp-newfolder
rm -f %{buildroot}%{_bindir}/mtp-sendfile
rm -f %{buildroot}%{_bindir}/mtp-sendtr
pushd %{buildroot}%{_bindir}
ln -sf mtp-connect mtp-delfile
ln -sf mtp-connect mtp-getfile
ln -sf mtp-connect mtp-newfolder
ln -sf mtp-connect mtp-sendfile
ln -sf mtp-connect mtp-sendtr
popd

mkdir -p %{buildroot}/%{_datadir}/doc/%{name}/html
mv -f %{buildroot}/%{_datadir}/doc/%{name}-%{version}/html/* %{buildroot}/%{_datadir}/doc/%{name}/html/

# don't ship .la
find %{buildroot} -name *.la | xargs rm -f

%files -n %{libname}
%doc AUTHORS COPYING README
%{_libdir}/libmtp.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/%{name}.h
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/*

%files doc
%doc %{_datadir}/doc/%{name}/html

%files utils
%{_usr}/lib/udev/rules.d/*.rules
%config(noreplace) %{_datadir}/hal/fdi/information/10freedesktop/10-usb-music-players-libmtp.fdi
%{_usr}/lib//udev/hwdb.d/69-libmtp.hwdb
%{_usr}/lib/udev/mtp-probe
%{_bindir}/*


%changelog
* Sat Sep 10 2016 luigiwalser <luigiwalser> 1.1.12-1.mga6
+ Revision: 1051254
- 1.1.12

* Mon May 09 2016 luigiwalser <luigiwalser> 1.1.11-1.mga6
+ Revision: 1011469
- 1.1.11

* Fri Jan 01 2016 luigiwalser <luigiwalser> 1.1.10-1.mga6
+ Revision: 917943
- revert chrpath addition as it is broken
- 1.1.10
- BR libgcrypt-devel
- use chrpath to remove rpath from binaries (thanks fedora)
- fix files list

* Wed Oct 15 2014 umeabot <umeabot> 1.1.8-4.mga5
+ Revision: 739514
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.1.8-3.mga5
+ Revision: 726797
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.1.8-2.mga5
+ Revision: 681622
- Mageia 5 Mass Rebuild

* Sun Aug 31 2014 luigiwalser <luigiwalser> 1.1.8-1.mga5
+ Revision: 670052
- 1.1.8

* Sat Jul 05 2014 pterjan <pterjan> 1.1.6-3.mga5
+ Revision: 643705
- Replace libusb*-devel BuildRequires by better ones

* Sat Oct 19 2013 umeabot <umeabot> 1.1.6-2.mga4
+ Revision: 523269
- Mageia 4 Mass Rebuild

* Tue Apr 02 2013 dams <dams> 1.1.6-1.mga3
+ Revision: 407151
- new version 1.1.6

* Sat Jan 12 2013 umeabot <umeabot> 1.1.5-3.mga3
+ Revision: 357809
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Oct 14 2012 ennael <ennael> 1.1.5-2.mga3
+ Revision: 305450
- Documentation group

* Mon Sep 17 2012 luigiwalser <luigiwalser> 1.1.5-1.mga3
+ Revision: 295479
- 1.1.5

* Fri Aug 24 2012 fedya <fedya> 1.1.4-1.mga3
+ Revision: 283646
- version update 1.1.4

* Sun Jun 03 2012 tv <tv> 1.1.3-1.mga3
+ Revision: 253648
- new release

* Sun Jan 22 2012 fwang <fwang> 1.1.2-1.mga2
+ Revision: 199401
- new version 1.1.2

* Sun Dec 04 2011 fwang <fwang> 1.1.1-1.mga2
+ Revision: 175963
- drop old file
- new version 1.1.1

* Sun Jul 17 2011 fwang <fwang> 1.1.0-1.mga2
+ Revision: 125194
- new version 1.1.0

* Mon Apr 11 2011 ahmad <ahmad> 1.0.6-1.mga1
+ Revision: 83101
- configure with --with-udev-rules=60-libmtp.rules
- update to 1.0.6
- drop patch0 fixed upstream (Fedora)
- add --enable-doxygen to configure options

* Thu Mar 24 2011 boklm <boklm> 1.0.4-4.mga1
+ Revision: 76178
- rebuild for bug #497

* Thu Mar 17 2011 blino <blino> 1.0.4-3.mga1
+ Revision: 73308
- do not install udev rules twice, upstream Makefile already installs it

* Thu Mar 17 2011 dmorgan <dmorgan> 1.0.4-2.mga1
+ Revision: 72980
- Fix file list
- Specify the udev rule
- Use fedora spec file for  ( Replace links with relative links )
- Do not use program-prefix as mtp this will add mtp twice and break udev script

* Mon Jan 24 2011 ahmad <ahmad> 1.0.4-1.mga1
+ Revision: 35947
- update to 1.0.4
- drop 01-devices_small_fixes patch
- add patch to fix device OS descriptor probe code (Fedora)
- drop old/unneeded scriptlets
- don't ship .la

  + eandry <eandry>
    - imported package libmtp

